Ingest events to Togai in batch
curl --request POST \
--url https://api.togai.com/ingestBatch \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"events": [
{
"timestamp": "2022-06-15T07:30:35.123",
"schemaName": "travelCompletedEvent",
"id": "c0b1306d-f506-43a6-856b-69221efaee6b",
"accountId": "1",
"attributes": [
{
"name": "distanceTravelled",
"value": "50",
"unit": "Miles"
},
{
"name": "timeSpent",
"value": "60",
"unit": "Minutes"
}
],
"dimensions": {
"location": "Seattle",
"costCenterCode": "1234",
"travelType": "Business"
}
},
{
"timestamp": "2022-06-15T07:30:35.123",
"schemaName": "sendMessageEvent",
"id": "c0b1306d-f506-43a6-856b-69221efaee6c",
"accountId": "1",
"attributes": [
{
"name": "messageSentCount",
"value": "50",
"unit": "None"
},
{
"name": "sizeOfMessage",
"value": "60",
"unit": "KiloBytes"
}
],
"dimensions": {
"location": "Seattle",
"costCenterCode": "1234",
"messageProviderName": "Twilio"
}
}
]
}
'import requests
url = "https://api.togai.com/ingestBatch"
payload = { "events": [
{
"timestamp": "2022-06-15T07:30:35.123",
"schemaName": "travelCompletedEvent",
"id": "c0b1306d-f506-43a6-856b-69221efaee6b",
"accountId": "1",
"attributes": [
{
"name": "distanceTravelled",
"value": "50",
"unit": "Miles"
},
{
"name": "timeSpent",
"value": "60",
"unit": "Minutes"
}
],
"dimensions": {
"location": "Seattle",
"costCenterCode": "1234",
"travelType": "Business"
}
},
{
"timestamp": "2022-06-15T07:30:35.123",
"schemaName": "sendMessageEvent",
"id": "c0b1306d-f506-43a6-856b-69221efaee6c",
"accountId": "1",
"attributes": [
{
"name": "messageSentCount",
"value": "50",
"unit": "None"
},
{
"name": "sizeOfMessage",
"value": "60",
"unit": "KiloBytes"
}
],
"dimensions": {
"location": "Seattle",
"costCenterCode": "1234",
"messageProviderName": "Twilio"
}
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
events: [
{
timestamp: '2022-06-15T07:30:35.123',
schemaName: 'travelCompletedEvent',
id: 'c0b1306d-f506-43a6-856b-69221efaee6b',
accountId: '1',
attributes: [
{name: 'distanceTravelled', value: '50', unit: 'Miles'},
{name: 'timeSpent', value: '60', unit: 'Minutes'}
],
dimensions: {location: 'Seattle', costCenterCode: '1234', travelType: 'Business'}
},
{
timestamp: '2022-06-15T07:30:35.123',
schemaName: 'sendMessageEvent',
id: 'c0b1306d-f506-43a6-856b-69221efaee6c',
accountId: '1',
attributes: [
{name: 'messageSentCount', value: '50', unit: 'None'},
{name: 'sizeOfMessage', value: '60', unit: 'KiloBytes'}
],
dimensions: {location: 'Seattle', costCenterCode: '1234', messageProviderName: 'Twilio'}
}
]
})
};
fetch('https://api.togai.com/ingestBatch', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true
}{
"success": true,
"statusCode": 123,
"name": "<string>",
"message": "<string>",
"code": "<string>",
"details": {}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<Reason message>"
}Event Ingestion
Ingest events to Togai in batch
This API let’s you to ingest events in batch upto 500 events. Ingest large amounts of events up to 500 in batches in an array using this API.
POST
/
ingestBatch
Ingest events to Togai in batch
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Request body to ingest events in batch to Togai usage and billing management service.
Payload for ingesting batch events
Required array length:
1 - 1000 elementsShow child attributes
Show child attributes
⌘I
